# description

Description of your component. The description is displayed in the Designer UI inspector panel like this:

![Component Description](/files/-L_wZRQ0CgS1eEtwPt6W)

The description should not be longer than a sentence or two. Example:

```
{
    "description": "This action gets the current weather conditions for a location."
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/component-definition/manifest/description.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
